package sgc.portal.cw.cw0606.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0606.dto.CW06060001USearch;
import sgc.portal.cw.cw0606.model.CW06060001U;

import java.util.List;

@Mapper
public interface CW06060001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW06060001USearch search);
    
    List<EasyHashMap<String, Object>> getListQuetion(CW06060001USearch search);
    
    List<EasyHashMap<String, Object>> getListAnswer(CW06060001USearch search);
    
    List<EasyHashMap<String, Object>> getListSafeAnswer(CW06060001USearch search);

    int update(CW06060001U cW06060001U);

    int cancel(CW06060001U cW06060001U);
    
    int approve(CW06060001U cW06060001U);
    
    void saveAnswer(CW06060001U cW06060001U);
    
    void saveSafeAnswer(CW06060001U cW06060001U);
}
